Bug 51551 - MasterFileSystem redesing - API review
MasterFileSystem redesing - API review
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
4.x
All All
: P1 (vote)
: TBD
Assigned To: rmatous
issues@platform
2004/11/24
: API_REVIEW
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 10:25 UTC by rmatous
Modified: 2008-12-22 22:07 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rmatous 2004-11-16 10:25:43 UTC
I'd like to ask for standard API review (inception
phase).

There is couple of problems related to
MasterFileSystem design with respect to experience
with NB4.0 (poor performance when accessing
network resources, symlinks, memory consumption ...). 

There is summary of these problems in document
reachable on
http://openide.netbeans.org/proposals/masterfs/MasterFSRedesign.html
Comment 1 Jaroslav Tulach 2004-11-19 16:02:18 UTC
The initial review will happen on Wed, Nov 24, 2004. The lead of the
review is going to be me. Pavel, Tomas and Trung are going to be the
voting reviewers.
Comment 2 Jaroslav Tulach 2004-11-25 13:04:36 UTC
Draft of opinion available:
http://openide.netbeans.org/tutorial/reviews/opinions_51551.html
Comment 3 Jaroslav Tulach 2005-01-21 12:30:38 UTC
Accepted with TCA. Opinion document updated. 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo